%define samba_source source3

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Samba SMB Server
Name:      	samba
Version:   	3.5.8
Release:   	1
BuildArch:	i686
Provides:	samba
License: 	GNU/GPL v3
URL:		http://www.samba.org
Group:     	System/Servers  
Source0: 	samba-%{version}.tar.gz
Source1: 	pam_winbind.conf
Source2: 	smbprint
Source4: 	samba.xinetd
Source5: 	samba.sysconfig
Source6:	samba.pamd
Source7:	samba.initd
Source8:	winbind.initd
# fix broken workgroup enumeration
Patch6: 	samba-3.0.23a-smb.conf.patch
Patch12:	samba-3.0.20b-printer-smb.conf.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires: 	samba-common = %{version}-%{release} 
BuildRequires:	openssl-devel 
BuildRequires:	autoconf sed

BuildRequires: python26-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires: talloc-devel
BuildRequires: libXdamage-devel
BuildRequires: libXxf86vm-devel

#Automatically resolved build dependencies
BuildRequires: avahi-devel
BuildRequires: cups-devel
BuildRequires: e2fsprogs-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libtasn1-devel
BuildRequires: ncurses-devel
BuildRequires: openldap-devel
BuildRequires: pam
BuildRequires: pam-devel
BuildRequires: perl
BuildRequires: readline-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel gtk2+-devel popt-devel keyutils-libs-devel

%description
Samba is the protocol by which a lot of PC-related machines share
files, printers, and other information (such as lists of available
files and printers). The Windows NT, OS/2, and Linux operating systems
support this natively, and add-on packages can enable the same thing
for DOS, Windows, VMS, UNIX of all kinds, MVS, and more. This package
provides an SMB server that can be used to provide network services to
SMB (sometimes called "Lan Manager") clients. Samba uses NetBIOS over
TCP/IP (NetBT) protocols and does NOT need the NetBEUI (Microsoft Raw
NetBIOS frame) protocol.

%package devel
Summary: 	Samba development headers.
Group:     	Development/Libraries
Requires: 	samba = %{version}-%{release}

%description devel
Header and include files for developing applications with samba.

%package doc
Summary: 	Samba Documentation.
Group:     	System/Servers
Requires: 	samba = %{version}-%{release}
Requires:	perl-ldap perl-Crypt-SmbHash perl-Convert-ASN1

%description doc
samba Documentation.


%package client
Summary: 	Samba (SMB) client programs.
Group: 		System/Servers
Requires: 	samba-common = %{version}-%{release}

%description client
The samba-client package provides some SMB clients to compliment the
built-in SMB filesystem in Linux. These clients allow access of SMB
shares and printing to SMB printers.

%package common
Summary: 	Files used by both Samba servers and clients.
Group: 		System/Servers
Obsoletes:	tdb

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%package swat
Summary: 	The Samba SMB server configuration program.
Group: 		System/Servers
Requires: 	samba = %{version}-%{release} xinetd sed

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.

%package winbind
Summary: 	Samba winbind
Group: 		System/Servers
Requires: 	samba-common = %{version}-%{release}
Requires(pre): /usr/sbin/groupadd
Requires(post): /sbin/chkconfig, /sbin/service, coreutils
Requires(preun): /sbin/chkconfig, /sbin/service

%description winbind
The samba-winbind package provides the winbind daemon and some client tools.
Winbind enables Linux to be a full member in Windows domains and to use
Windows user and group accounts on Linux.

%package winbind-devel
Summary: 	Developer tools for the winbind library
Group: 		Development/Libraries
Requires: 	samba-winbind = %{version}-%{release}

%description winbind-devel
The samba-winbind package provides developer tools for the wbclient library.

%package winbind-clients
Summary: 	Samba winbind clients
Group: 		System/Servers

%description winbind-clients
The samba-winbind-clients package provides the NSS library and a PAM
module necessary to communicate to the Winbind Daemon


%package domainjoin-gui
Summary: 	Domainjoin GUI
Group: 		Networking
Requires: 	samba-common = %{version}-%{release} gtk2+

%description domainjoin-gui
The samba-domainjoin-gui package includes a domainjoin gtk application.

%post
if [ $1 != 1 ] ; then
    rm -rf /var/log/samba/* /var/cache/samba/* /etc/samba/*.tdb
fi
/sbin/ldconfig
if [ "`grep nogroup /etc/group`" = "" ]; then
        /usr/sbin/groupadd -g 65534 nogroup &>/dev/null
fi
if [ "`grep nobody /etc/passwd`" = "" ]; then
        /usr/sbin/useradd -u 65534 -c 'Dummy user' -d / -s /bin/false -g nogroup nobody &>/dev/null
fi
/sbin/chkconfig --add samba
/sbin/chkconfig samba resetpriorities
/sbin/chkconfig samba on

%postun
/sbin/ldconfig

%preun
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/samba stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del samba >/dev/null 2>&1 || :
fi
exit 0


%pre common
if [ $1 -eq 1 ]; then
    /usr/sbin/useradd -u 122 -c 'Dummy user' -g daemon nobody &>/dev/null || : 
fi

%post common
/sbin/ldconfig

%post swat
# remove current 902/tcp service and add swat as new one
/bin/sed -i "s#\([^ \t]\{1,\}\)\([ \t]*[ \t]\)\(902/tcp[ \t].*\)#\#\1\2\3\nswat\2902/tcp#" /etc/services

%postun swat
# remove swat setting in /etc/services and reactivate old settings
/bin/sed -i "\#swat[ \t]\{1,\}902/tcp# d" /etc/services
/bin/sed -i "s#[#]\([^ \t]\{1,\}\)\([ \t]*[ \t]\)\(902/tcp[ \t].*\)#\1\2\3#" /etc/services


%preun common
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/winbind stop >/dev/null 2>&1
fi
exit 0

%postun common
if [ $1 -eq 0 ]; then
	/usr/sbin/userdel nobody &>/dev/null || :
fi
/sbin/ldconfig

%pre winbind
/usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :

%post winbind
/sbin/chkconfig --add winbind
/sbin/chkconfig winbind resetpriorities
/sbin/chkconfig winbind on

if [ "$1" -ge "1" ]; then
    /etc/init.d/winbind restart >/dev/null 2>&1 || :
fi

%preun winbind
if [ $1 = 0 ] ; then
    /etc/init.d/winbind stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del winbind
fi
exit 0


%prep
%setup -q
%patch6 -p1
%patch12 -p0

rm -f examples/VFS/.cvsignore
mv source3/VERSION source3/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&\"%{release}\"/' < source3/VERSION.orig > source3/VERSION
cd source3
script/mkversion.sh
cd ..

%build
cd source3
# disable as-needed as it breaks linking against readline/ncurses
LDFLAGS="-Wl,--no-as-needed" ./configure --prefix=%_prefix \
    --with-dnsupdate \
    --with-ads \
    --with-acl-support \
    --with-automount \
    --with-dnsupdate \
    --with-libsmbclient \
    --with-libsmbsharemodes \
    --with-mmap \
    --with-pam \
    --with-pam_smbpass \
    --with-quotas \
    --with-sendfile-support \
    --with-syslog \
    --with-utmp \
    --with-vfs \
    --with-winbind \
    --without-smbwrapper \
    --with-lockdir=/var/lib/samba \
    --with-piddir=/var/run \
    --with-mandir=%{_mandir} \
    --with-privatedir=/var/lib/samba/private \
    --with-logfilebase=/var/log/samba \
    --with-libdir=%{_libdir} \
    --with-modulesdir=%{_libdir}/samba \
    --with-configdir=%{_sysconfdir}/samba \
    --with-pammodulesdir=%{_lib}/security \
    --with-swatdir=%{_datadir}/swat \
    --with-shared-modules=idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2 \
    --with-cifsupcall \
    --with-libtdb=no --enable-cups \
    --with-cifsumount --enable-netapi \
    --enable-external-libtalloc=yes

##--with-smbmount
##--with-libtalloc=no \
##--enable-external-libtalloc=yes \

make  pch

make  LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{version}/%samba_source/bin \
    %{?_smp_mflags} \
    all ../nsswitch/libnss_wins.so modules test_pam_modules test_nss_modules test_shlibs

make  LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{version}/%samba_source/bin \
    %{?_smp_mflags} \
    -C lib/netapi/examples

make  debug2html smbfilter bin/cifs.upcall

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{pam.d,logrotate.d,security,samba}
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
mkdir -p $RPM_BUILD_ROOT/var/lib/samba
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/private
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/winbindd_privileged
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/scripts
mkdir -p $RPM_BUILD_ROOT/var/log/samba/old
mkdir -p $RPM_BUILD_ROOT/var/spool/samba
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/var/run/winbindd
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/samba
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig


cd %samba_source

%makeinstall \
    BINDIR=$RPM_BUILD_ROOT%{_bindir} \
    BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
    SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
    DATADIR=$RPM_BUILD_ROOT%{_datadir} \
    LOCKDIR=$RPM_BUILD_ROOT/var/lib/samba \
    PRIVATEDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
    LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ \
    MODULESDIR=$RPM_BUILD_ROOT%{_libdir}/samba \
    CONFIGDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
    PAMMODULESDIR=$RPM_BUILD_ROOT/%{_lib}/security \
    MANDIR=$RPM_BUILD_ROOT%{_mandir} \
    VARDIR=$RPM_BUILD_ROOT/var/log/samba \
    CODEPAGEDIR=$RPM_BUILD_ROOT%{_libdir}/samba \
    SWATDIR=$RPM_BUILD_ROOT%{_datadir}/swat \
    SAMBABOOK=$RPM_BUILD_ROOT%{_datadir}/swat/using_samba \
    PIDDIR=$RPM_BUILD_ROOT/var/run

cd ..

# Install other stuff
install -m644 packaging/RHEL/setup/smb.conf $RPM_BUILD_ROOT/etc/samba/smb.conf
install -m755 %samba_source/script/mksmbpasswd.sh $RPM_BUILD_ROOT/usr/bin
install -m644 packaging/RHEL/setup/smbusers $RPM_BUILD_ROOT/etc/samba/smbusers
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/security
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/usr/bin
# install initd scripts
install -m755 %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/samba
install -m755 %{SOURCE8} $RPM_BUILD_ROOT/etc/rc.d/init.d/winbind
# install /etc/pam.d/swat for pam support
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/samba
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/samba/lmhosts

#ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
#ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs

# winbind
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so.2
ln -sf /%{_lib}/libnss_winbind.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_winbind.so
install -m 755 nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_lib}/libnss_wins.so.2
ln -sf /%{_lib}/libnss_wins.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_wins.so

# libraries {
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}
build_libdir="$RPM_BUILD_ROOT%{_libdir}"

# make install puts libraries in the wrong place
# (but at least gets the versioning right now)

list="smbclient smbsharemodes netapi talloc tdb wbclient"
for i in $list; do
    install -m 644 %samba_source/pkgconfig/$i.pc $build_libdir/pkgconfig/ || true
done


/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}/

# }

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/xinetd.d/swat

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/samba
install -m755 $RPM_BUILD_ROOT/usr/sbin/mount.cifs $RPM_BUILD_ROOT/sbin/mount.cifs
install -m755 $RPM_BUILD_ROOT/usr/sbin/umount.cifs $RPM_BUILD_ROOT/sbin/umount.cifs

install -m 755 %samba_source/lib/netapi/examples/bin/netdomjoin-gui $RPM_BUILD_ROOT/%{_sbindir}/netdomjoin-gui
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/samba.ico $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/samba.ico
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/logo.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/logo.png
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/logo-small.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/logo-small.png

install -m 755 %samba_source/lib/netapi/examples/bin/netdomjoin-gui $RPM_BUILD_ROOT/%{_sbindir}/netdomjoin-gui
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/samba.ico $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/samba.ico
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/logo.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/logo.png
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/logo-small.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/logo-small.png

rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/editreg.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/log2pcap.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbsh.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/smbgetrc.5*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/vfstest.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/testprns.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbmount.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbmnt.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbumount.8*

rm -f $RPM_BUILD_ROOT%{_sbindir}/{u,}mount.cifs

#Rename ldb tools, as samba3 has an old copy of ldb.
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbadd $RPM_BUILD_ROOT%{_bindir}/ldb3add
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbdel $RPM_BUILD_ROOT%{_bindir}/ldb3del
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbmodify $RPM_BUILD_ROOT%{_bindir}/ldb3modify
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbsearch $RPM_BUILD_ROOT%{_bindir}/ldb3search
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbrename $RPM_BUILD_ROOT%{_bindir}/ldb3rename
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbedit $RPM_BUILD_ROOT%{_bindir}/ldb3edit
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbadd.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3add.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbdel.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3del.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbedit.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3edit.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbmodify.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3modify.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbsearch.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3search.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbrename.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3rename.1

# Delete tdb related stuff
rm -f $RPM_BUILD_ROOT%{_bindir}/tdbbackup
rm -f $RPM_BUILD_ROOT%{_bindir}/tdbdump
rm -f $RPM_BUILD_ROOT%{_bindir}/tdbtool
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tdbbackup.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tdbdump.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tdbtool.8*

# Create directories needed for printer drivers (point&print feature)
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC}


# install smb backend for cups printing

mkdir -p $RPM_BUILD_ROOT/usr/lib/cups/backend/smb
ln -s /usr/bin/smbspool $RPM_BUILD_ROOT/usr/lib/cups/backend/smb

#strip debug symbols from binaries - especially needed with --no-as-needed
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/eventlogadm
%{_bindir}/smbget
%{_libdir}/samba/auth/script.so
%{_sbindir}/smbd
%{_sbindir}/nmbd
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbcontrol
%{_bindir}/smbstatus
%config(noreplace) /etc/sysconfig/samba
%config(noreplace) /etc/samba/smbusers
%attr(755,root,root) /etc/rc.d/init.d/samba
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/eventlogadm.8.gz
%{_mandir}/man8/idmap_ad.8.gz
%{_mandir}/man8/idmap_ldap.8.gz
%{_mandir}/man8/idmap_nss.8.gz
%{_mandir}/man8/idmap_rid.8.gz
%{_mandir}/man8/idmap_tdb.8.gz
%{_mandir}/man8/vfs_audit.8.gz
%{_mandir}/man8/vfs_acl_tdb.8.gz
%{_mandir}/man8/vfs_acl_xattr.8.gz
%{_mandir}/man8/vfs_cacheprime.8.gz
%{_mandir}/man8/vfs_cap.8.gz
%{_mandir}/man8/vfs_catia.8.gz
%{_mandir}/man8/vfs_commit.8.gz
%{_mandir}/man8/vfs_default_quota.8.gz
%{_mandir}/man8/vfs_dirsort.8.gz
%{_mandir}/man8/vfs_extd_audit.8.gz
%{_mandir}/man8/vfs_fake_perms.8.gz
%{_mandir}/man8/vfs_fileid.8.gz
%{_mandir}/man8/vfs_full_audit.8.gz
%{_mandir}/man8/vfs_gpfs.8.gz
%{_mandir}/man8/vfs_netatalk.8.gz
%{_mandir}/man8/vfs_notify_fam.8.gz
%{_mandir}/man8/vfs_prealloc.8.gz
%{_mandir}/man8/vfs_preopen.8.gz
%{_mandir}/man8/vfs_readahead.8.gz
%{_mandir}/man8/vfs_readonly.8.gz
%{_mandir}/man8/vfs_recycle.8.gz
%{_mandir}/man8/vfs_scannedonly.8.gz
%{_mandir}/man8/vfs_shadow_copy.8.gz
%{_mandir}/man8/vfs_shadow_copy2.8.gz
%{_mandir}/man8/vfs_smb_traffic_analyzer.8.gz
%{_mandir}/man8/vfs_streams_depot.8.gz
%{_mandir}/man8/vfs_streams_xattr.8.gz
%{_mandir}/man8/vfs_xattr_tdb.8.gz
%{_mandir}/man1/smbget.1.gz
%{_libdir}/samba/vfs

%attr(1777,root,root) %dir /var/spool/samba
%attr(775,root,lp) %dir /var/lib/samba/printers/W32X86
%attr(775,root,lp) %dir /var/lib/samba/printers/WIN40
%attr(775,root,lp) %dir /var/lib/samba/printers/W32ALPHA
%attr(775,root,lp) %dir /var/lib/samba/printers/W32MIPS
%attr(775,root,lp) %dir /var/lib/samba/printers/W32PPC

%files doc
%defattr(-,root,root)
#%doc docs/Samba3-Developers-Guide.pdf docs/Samba3-ByExample.pdf
#%doc docs/Samba3-HOWTO.pdf
#doc docs/htmldocs

%files swat
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/swat
%{_datadir}/swat
%{_sbindir}/swat
%{_mandir}/man8/swat.8*
%attr(755,root,root) %{_libdir}/samba/*.msg

%files client
%defattr(-,root,root)
%attr(4755,root,root)/sbin/mount.cifs
%attr(4755,root,root)/sbin/umount.cifs
%{_sbindir}/cifs.upcall
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/findsmb
%{_bindir}/sharesec
%{_mandir}/man8/smbspool.8*
%{_mandir}/man8/mount.cifs.8*
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_mandir}/man1/findsmb.1.gz
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man1/sharesec.1*
%{_mandir}/man8/cifs.upcall.8.gz
/usr/lib/cups/backend/smb

%files common
%defattr(-,root,root)
%dir %{_libdir}/samba
%attr(700,root,root) %dir /var/lib/samba/private
%dir %{_libdir}/samba/charset
/lib/security/pam_smbpass.so
%{_libdir}/libsmbclient.so.0
%{_libdir}/samba/charset/CP*.so
%{_libdir}/libsmbsharemodes.so.0
%{_libdir}/libnetapi.so
%{_libdir}/libnetapi.so.0
#%{_libdir}/libtalloc.so
#%{_libdir}/libtalloc.so.2
%{_bindir}/net
%{_bindir}/testparm
%{_bindir}/smbpasswd
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcquotas
%{_bindir}/ldb3add
%{_bindir}/ldb3del
%{_bindir}/ldb3edit
%{_bindir}/ldb3modify
%{_bindir}/ldb3search
%{_bindir}/ldb3rename
%{_libdir}/samba/lowcase.dat
%{_libdir}/samba/upcase.dat
%{_libdir}/samba/valid.dat
%config(noreplace) /etc/samba/smb.conf
%config(noreplace) /etc/samba/lmhosts
%dir /etc/samba
%attr(0700,root,root) %dir /var/log/samba
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/net.8*
%{_mandir}/man7/libsmbclient.7.gz
%{_mandir}/man8/umount.cifs.8.gz
%{_mandir}/man1/ldb3add.1.gz
%{_mandir}/man1/ldb3del.1.gz
%{_mandir}/man1/ldb3edit.1.gz
%{_mandir}/man1/ldb3modify.1.gz
%{_mandir}/man1/ldb3search.1.gz
%{_mandir}/man1/ldb3rename.1.gz
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/testparm.1*
%{_sysconfdir}/pam.d/samba
%{_datadir}/locale/*/LC_MESSAGES/pam_winbind.mo
%{_datadir}/locale/*/LC_MESSAGES/net.mo

%files devel
%defattr(-,root,root)
%{_includedir}/libsmbclient.h
%{_includedir}/smb_share_modes.h
%{_includedir}/netapi.h
#%{_includedir}/talloc.h
%{_libdir}/pkgconfig/smbclient.pc
%{_libdir}/pkgconfig/smbsharemodes.pc
%{_libdir}/libsmbclient.so
%{_libdir}/libsmbsharemodes.so
%{_libdir}/pkgconfig/netapi.pc

%files winbind-devel
%defattr(-,root,root)
%{_includedir}/wbclient.h
%{_includedir}/wbc_async.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc

%files winbind
%defattr(-,root,root)
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_sbindir}/winbindd
%dir /var/run/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_sysconfdir}/rc.d/init.d/winbind
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man5/pam_winbind.conf.5.gz
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/pam_winbind.8.gz
%{_mandir}/man7/winbind_krb5_locator.7.gz
%{_mandir}/man8/idmap_*.8*

%files winbind-clients
%defattr(-,root,root)
%{_libdir}/libnss_wins.so
/lib/libnss_wins.so.2
%{_libdir}/libnss_winbind.so
/lib/libnss_winbind.so.2
/lib/security/pam_winbind.so
%attr(755,root,root) %{_libdir}/libwbclient.so.*

%files domainjoin-gui
%{_sbindir}/netdomjoin-gui
%dir %{_datadir}/pixmaps/samba
%{_datadir}/pixmaps/samba/samba.ico
%{_datadir}/pixmaps/samba/logo.png
%{_datadir}/pixmaps/samba/logo-small.png


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 08 2011 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-1
- Version update
* Mon Feb 28 2011 Karsten Brockmann <arcam@ccux-linux.de> 3.5.7-1
- Version update
* Sat Oct 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-1
- Version update
* Wed Sep 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.5.5-1
- Version update
* Wed Jun 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.5.4-1
- Version update
* Mon May 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.5.3-1
- Version update
* Wed Apr 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.5.2-1
- Version update
* Mon Mar 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.5.1-1
- Version update
* Tue Mar 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.5.0-1
- Version update
* Wed Feb 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.4.6-1
- Version update
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.4.5-1
- Version update
* Thu Jan 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.4.4-1
- Version update
* Mon Dec 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.4.3-2
- added patch to fix broken workgroup enumeration
* Wed Dec 02 2009 Christian Metzen <metzench@ccux-linux.de> 3.4.3-1
- Version update
* Wed Dec 02 2009 Christian Metzen <metzench@ccux-linux.de> 3.4.2-2
- add missing private dir
* Wed Dec 02 2009 Christian Metzen <metzench@ccux-linux.de> 3.4.2-1
- Version update
- split windbind package, include domainjoin-gui
- massive specfile cleanup
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.2.8-1
- version update
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.2.7-1
- version update
* Fri Sep 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.4-1
- version update
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.3-3
- removed external tdb dependency
* Fri Aug 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.3-2
- moved (u)mount.cifs to (more suitable) /sbin 
- set SUID bit on (u)mount.cifs, so regular users can mount/umount SMB/CIFS shares
* Wed Aug 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.3-1
- Version update
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.1-2
- moved /etc/ld.so.conf.d/samba.conf to (more suitable) samba-common subpackage
(fixes broken MPlayer)
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.1-1
- Version update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.0-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.28a-1
- Version update
* Tue Dec 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.28-1
- Version update
* Thu Nov 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.27a-1
- version update
* Fri Oct 19 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.26a-2
- fixed %postun scriplet in swat package
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.26a-1
- Version update
* Thu May 17 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.25-1
- Version update
* Sat Mar 10 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.24-2
- added samba pam file
- added swat entry in /etc/services 
- added link to smbspool in cups dir to enable smb backend
- change spec to use chkconfig for init script
* Tue Feb 27 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.24-1
- version update
* Tue Jan 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.23d-1
- Added creation of nobody (default guest) user if none is present 
- Version update
* Mon Sep 04 2006 Christian Metzen <metzench@ccux-linux.de> 3.0.23c-1
- Version update
* Wed Aug 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.23a-2
- fixed init symlinks
* Mon Jul 24 2006 Christian Metzen <metzench@ccux-linux.de> 3.0.23a-1 
- Version update
* Fri Mar 31 2006 Christian Metzen <metzench@ccux-linux.de> 3.0.22-1 
- Version update
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.21c-1
- Version update
* Sun Jan 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.21a-1
- added printer driver directories, added point&print patch
* Sat Dec 31 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.21a-1 
- Version update 
* Wed Dec 21 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.21-1
- Version update
* Wed Oct 19 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20b-1
- Version update
* Sat Oct 01 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20a-1
- Version update
* Wed Aug 24 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20-2
- Fixed Bug #0000108
* Sat Aug 20 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20-1
- Version update
* Fri Jul 08 2005 Christian Wasem <wasem@ccux-linux.de> 3.0.14a-3
- Added required tdb as an dependency
* Sun May 08 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.14a-2
- Added dummy user nobody to common subpackage
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.14a-1
- Rebuild against readline 5.0, Version update to 3.0.14a
* Sun Feb 06 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.11-2
- Fixed Requires
* Sun Feb 06 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.11-1
- Update to Version 3.0.11
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-5
- Added Removal of old .tdb Files
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-4
- Fixed privatedir Setting
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-3
- Fixed Library Locations
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-2
- Adjusted Symlinks
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-1
- Version Update to 3.0.10 / Fixed Bug #0000025
* Sun May 16 2004 Christian Metzen <metzench@ccux-linux.de> 3.0.4-1
- Initial Release
